Bug 11007 - Anaconda exception during 6.2 install
Anaconda exception during 6.2 install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-23 16:51 EDT by Daniel Huang
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-22 12:31:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Huang 2000-04-23 16:51:39 EDT
Hardware: Dell Dimension XPS T850r P-III 850 MHz with 40 GB UDMA drive

Images: bootnet-20000407.img, update-disk-20000419.img

Installation options: HTTP install; custom workstation

Problem: after selecting where to install LILO (in the MBR or the boot
partition -- this bug happens no matter which I choose), Anaconda dies in
checkBoot in isys.py, in a call to _isys.checkBoot(path).  The value of
path is '/tmp/hde5', which is my DOS partition.  The error is "No such file
or directory," although the device file /tmp/hde5 does exist.  Perhaps
that's not the file it means, but that's as much information as I could
wring out of it.  Tell me how to generate more details if you need them.
Comment 1 Anonymous 2000-04-23 19:24:59 EDT
Additional info:

I have an off-motherboard Ultra-DMA controller, the Promise Ultra 66.  Invoking
linux from the installer boot prompt with "linux ide2=0x1420,0x1416" allows the
kernel to see the hard drive, and Disk Druid thereafter correctly identifies
existing partitions, etc.
Comment 2 Anonymous 2000-04-24 01:05:59 EDT
The bug does *not* occur when I choose the "install GNOME workstation" option
instead of the "custom install" option.
Comment 3 Jay Turner 2000-04-24 07:14:59 EDT
Forwarding this issue to a developer for further action.
Comment 4 Anonymous 2000-04-26 18:36:59 EDT
Here's another bug uncovered by this one: when choosing the GNOME Workstation
option, the installer gives no opportunity to specify kernel parameters for
lilo.conf.  (The installer *does* prompt for these parameters when one chooses
the Custom Install option.)  This means that the "ide2=..." argument I passed to
the kernel to make the installer work wasn't present when I rebooted, so I had
to start from scratch.  This time, just after installation and just before
rebooting, I escaped to another VT, edited lilo.conf with "ed" and re-ran lilo
in order to get `append="ide2=..."' into the lilo configuration.
Comment 5 Michael Fulbright 2000-10-23 14:47:52 EDT
The "GNOME Workstation" install option is a quick link that fills in defaults
for several screens, so you will not get prompted about the LILO options, etc. 
Use a 'Custom' install in that case.

Could you try Red Hat Linux 7 on this box and report if you continue to have
problems?
Comment 6 Michael Fulbright 2000-11-22 12:31:14 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.